Package org.eclipse.birt.chart.model.attribute

# Enum ScaleUnitType

java.lang.Object
java.lang.Enum<ScaleUnitType>
org.eclipse.birt.chart.model.attribute.ScaleUnitType

All Implemented Interfaces:
  `Serializable`, `Comparable<ScaleUnitType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum ScaleUnitType extends Enum<ScaleUnitType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Scale Unit Type', and utility methods for working with them. This type defines predefined date unit types for scale.

See Also:
  - `AttributePackage.getScaleUnitType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DAYS_LITERAL`
The 'Days' literal object.
`HOURS_LITERAL`
The 'Hours' literal object.
`MINUTES_LITERAL`
The 'Minutes' literal object.
`MONTHS_LITERAL`
The 'Months' literal object.
`QUARTERS_LITERAL`
The 'Quarters' literal object.
`SECONDS_LITERAL`
The 'Seconds' literal object.
`WEEKS_LITERAL`
The 'Weeks' literal object.
`YEARS_LITERAL`
The 'Years' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DAYS`
The 'Days' literal value.
`static final int`
`HOURS`
The 'Hours' literal value.
`static final int`
`MINUTES`
The 'Minutes' literal value.
`static final int`
`MONTHS`
The 'Months' literal value.
`static final int`
`QUARTERS`
The 'Quarters' literal value.
`static final int`
`SECONDS`
The 'Seconds' literal value.
`static final List<ScaleUnitType>`
`VALUES`
A public read-only list of all the 'Scale Unit Type' enumerators.
`static final int`
`WEEKS`
The 'Weeks' literal value.
`static final int`
`YEARS`
The 'Years' literal value.

## Method Summary

Modifier and Type
Method
Description
`static ScaleUnitType`
`get(int value)`
Returns the 'Scale Unit Type' literal with the specified integer value.
`static ScaleUnitType`
`get(String literal)`
Returns the 'Scale Unit Type' literal with the specified literal value.
`static ScaleUnitType`
`getByName(String name)`
Returns the 'Scale Unit Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static ScaleUnitType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ScaleUnitType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SECONDS_LITERAL

public static final ScaleUnitType SECONDS_LITERAL
The 'Seconds' literal object.

If the meaning of 'Seconds' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SECONDS`

### MINUTES_LITERAL

public static final ScaleUnitType MINUTES_LITERAL
The 'Minutes' literal object.

If the meaning of 'Minutes' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MINUTES`

### HOURS_LITERAL

public static final ScaleUnitType HOURS_LITERAL
The 'Hours' literal object.

If the meaning of 'Hours' literal object isn't clear, there really should be more of a description here...

See Also:
  - `HOURS`

### DAYS_LITERAL

public static final ScaleUnitType DAYS_LITERAL
The 'Days' literal object.

If the meaning of 'Days' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DAYS`

### WEEKS_LITERAL

public static final ScaleUnitType WEEKS_LITERAL
The 'Weeks' literal object.

If the meaning of 'Weeks' literal object isn't clear, there really should be more of a description here...

See Also:
  - `WEEKS`

### MONTHS_LITERAL

public static final ScaleUnitType MONTHS_LITERAL
The 'Months' literal object.

If the meaning of 'Months' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MONTHS`

### YEARS_LITERAL

public static final ScaleUnitType YEARS_LITERAL
The 'Years' literal object.

If the meaning of 'Years' literal object isn't clear, there really should be more of a description here...

See Also:
  - `YEARS`

### QUARTERS_LITERAL

public static final ScaleUnitType QUARTERS_LITERAL
The 'Quarters' literal object.

See Also:
  - `QUARTERS`

## Field Details

### SECONDS

public static final int SECONDS
The 'Seconds' literal value.

See Also:
  - `SECONDS_LITERAL`
  - Constant Field Values

### MINUTES

public static final int MINUTES
The 'Minutes' literal value.

See Also:
  - `MINUTES_LITERAL`
  - Constant Field Values

### HOURS

public static final int HOURS
The 'Hours' literal value.

See Also:
  - `HOURS_LITERAL`
  - Constant Field Values

### DAYS

public static final int DAYS
The 'Days' literal value.

See Also:
  - `DAYS_LITERAL`
  - Constant Field Values

### WEEKS

public static final int WEEKS
The 'Weeks' literal value.

See Also:
  - `WEEKS_LITERAL`
  - Constant Field Values

### MONTHS

public static final int MONTHS
The 'Months' literal value.

See Also:
  - `MONTHS_LITERAL`
  - Constant Field Values

### YEARS

public static final int YEARS
The 'Years' literal value.

See Also:
  - `YEARS_LITERAL`
  - Constant Field Values

### QUARTERS

public static final int QUARTERS
The 'Quarters' literal value.

If the meaning of 'Quarters' literal object isn't clear, there really should be more of a description here...

See Also:
  - `QUARTERS_LITERAL`
  - Constant Field Values

### VALUES

public static final List<ScaleUnitType> VALUES
A public read-only list of all the 'Scale Unit Type' enumerators.

## Method Details

### values

public static ScaleUnitType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ScaleUnitType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static ScaleUnitType get(String literal)
Returns the 'Scale Unit Type' literal with the specified literal value.

### getByName

public static ScaleUnitType getByName(String name)
Returns the 'Scale Unit Type' literal with the specified name.

### get

public static ScaleUnitType get(int value)
Returns the 'Scale Unit Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<ScaleUnitType>`